// components/commStar/commStar.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    value: Number,
    type:String,
    index:Number
  },

  /**
   * 组件的初始数据
   */
  data: {

  },

  /**
   * 组件的方法列表
   */
  methods: {
    changeVal(e){
      if(this.data.type){
        var value = e.currentTarget.dataset.val;
        this.setData({
          value: value + 1
        });
        this.triggerEvent("onStarChange", { val: this.data.value, idx: this.data.index });
      }
      
    }
  }
})
